# Track online players
execute store result score &online_players pause_server_when_empty.values if entity @a

# If server empty, pause day-night cycle, and weather cycle
execute unless entity @a run gamerule doDaylightCycle false
execute unless entity @a run gamerule doWeatherCycle false

# If server just became empty send console message
execute if score &online_players pause_server_when_empty.values matches 0 unless score &online_players_old pause_server_when_empty.values matches 0 run say Server paused because no players are online.

# If server not empty, continue day-night cycle, and weather cycle
execute if entity @a run gamerule doDaylightCycle true
execute if entity @a run gamerule doWeatherCycle true

# If player just joined empty server send console message
execute if score &online_players pause_server_when_empty.values matches 1.. unless score &online_players_old pause_server_when_empty.values matches 1.. run say Server un-paused because players are online.

# Track online players old
execute store result score &online_players_old pause_server_when_empty.values if entity @a